# Generated by Django 2.2.4 on 2019-11-07 15:18

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('review', '0005_review_old_id'),
    ]

    operations = [
        migrations.CreateModel(
            name='Incuiries',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('old_id', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='old id')),
                ('comment', models.TextField(blank=True, null=True, verbose_name='comment')),
                ('final_comment', models.TextField(blank=True, null=True, verbose_name='final comment')),
                ('mark', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='mark')),
                ('attachment_file', models.URLField(blank=True, default=None, max_length=255, null=True, verbose_name='attachment')),
                ('bill_file', models.URLField(blank=True, default=None, max_length=255, null=True, verbose_name='bill')),
                ('price', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True, verbose_name='price')),
                ('moment', models.PositiveSmallIntegerField(choices=[(0, 'none'), (1, 'diner'), (2, 'lanch')], default=0)),
                ('decibles', models.CharField(blank=True, max_length=255, null=True)),
                ('nomination', models.CharField(blank=True, max_length=255, null=True)),
                ('nominee', models.CharField(blank=True, max_length=255, null=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='incuiries', to=settings.AUTH_USER_MODEL, verbose_name='author')),
                ('review', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='incuiries', to='review.Review', verbose_name='review')),
            ],
            options={
                'verbose_name': 'Incuiry',
                'verbose_name_plural': 'Incuiries',
            },
        ),
        migrations.CreateModel(
            name='IncuiryPhoto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('attachment_file', models.URLField(max_length=255, verbose_name='attachment')),
                ('incuiry', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='photos', to='review.Incuiries', verbose_name='incuiry')),
            ],
            options={
                'verbose_name': 'incuiry photo',
                'verbose_name_plural': 'incuiry photos',
            },
        ),
        migrations.CreateModel(
            name='GridItems',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('sub_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='sub name')),
                ('name', models.CharField(blank=True, max_length=255, null=True, verbose_name='name')),
                ('value', models.FloatField(blank=True, null=True, verbose_name='value')),
                ('decs', models.TextField(blank=True, null=True, verbose_name='description')),
                ('dish_title', models.CharField(blank=True, max_length=255, null=True, verbose_name='dish title')),
                ('incuiry', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='grids', to='review.Incuiries', verbose_name='incuiry')),
            ],
            options={
                'verbose_name': 'incuiry grid',
                'verbose_name_plural': 'incuiry grids',
            },
        ),
    ]
